Bug 982255 - Re-Review Request: labyrinth - A light weight mind mapping tool
Re-Review Request: labyrinth - A light weight mind mapping tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Ceresa
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 09:35 EDT by Ankur Sinha (FranciscoD)
Modified: 2013-11-10 01:24 EST (History)
3 users (show)

See Also:
Fixed In Version: labyrinth-0.6-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 21:51:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrceresa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-07-08 09:35:05 EDT
Spec URL: http://ankursinha.fedorapeople.org/labyrinth/labyrinth.spec
SRPM URL: http://ankursinha.fedorapeople.org/labyrinth/labyrinth-0.6-1.fc20.src.rpm

For testing, generated RPM for F19/F20 is also available at
http://ankursinha.fedorapeople.org/labyrinth/

Description: 
Labyrinth is a lightweight mind-mapping tool, written in Python using Gtk and
Cairo to do the drawing. It is intended to be as light and intuitive as
possible, but still provide a wide range of powerful features.

A mind-map is a diagram used to represent words, ideas, tasks or other items
linked to and arranged radially around a central key word or idea. It is used
to generate, visualize, structure and classify ideas, and as an aid in study,
organization, problem solving, and decision making. (From Wikipedia)

Currently, Labyrinth provides 3 different types of thoughts, or nodes - Text,
Image and Drawing. Text is the basic standard text node. Images allow you to
insert and scale any supported image file (PNG, JPEG, SVG). Drawings are for
those times when you want to illustrate something, but don't want to fire up a
separate drawing program. It allows you to quickly and easily sketch very
simple line diagrams.


Fedora Account System Username: ankursinha

rpmlint output:
[asinha@localhost  SRPMS]$ rpmlint ../SPECS/labyrinth.spec ./labyrinth-0.6-1.fc19.src.rpm /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
../SPECS/labyrinth.spec:8: W: macro-in-comment %{name}
../SPECS/labyrinth.spec:8: W: macro-in-comment %{name}
../SPECS/labyrinth.spec: W: invalid-url Source0: labyrinth-0.6.tar.gz
labyrinth.src:8: W: macro-in-comment %{name}
labyrinth.src:8: W: macro-in-comment %{name}
labyrinth.src: W: invalid-url Source0: labyrinth-0.6.tar.gz
labyrinth.noarch: E: incorrect-fsf-address /usr/share/doc/labyrinth-0.6/COPYING
labyrinth.noarch: W: no-manual-page-for-binary labyrinth
labyrinth.src:8: W: macro-in-comment %{name}
labyrinth.src:8: W: macro-in-comment %{name}
labyrinth.src: W: invalid-url Source0: labyrinth-0.6.tar.gz
3 packages and 1 specfiles checked; 1 errors, 10 warnings.
[asinha@localhost  SRPMS]$
Comment 1 Ankur Sinha (FranciscoD) 2013-07-08 09:45:22 EDT
I've informed upstream about the out of date GPL file. I've also created a pull request at their github project. Should be corrected soon:

https://github.com/labyrinth-team/labyrinth/pull/10

Thanks, 
Warm regards,
Ankur
Comment 2 Mario Ceresa 2013-07-09 03:13:08 EDT
I'll review it!

Mario
Comment 3 Mario Ceresa 2013-07-09 05:01:16 EDT
Hi Ankur,
I have the following questions:

* I see there are some windows related files (labyrinth-0.6/Windows). They are not installed but, if it's not too difficult, might you consider to remove them?
* Why don't you use the full url as Source0?
* I think you should not call "rm -rf $RPM_BUILD_ROOT" at the beginning of %install

Please answer to my comments and I'll continue the review.

Best,

Mario
Comment 4 Ankur Sinha (FranciscoD) 2013-07-09 07:57:01 EDT
(In reply to Mario Ceresa from comment #3)
> Hi Ankur,

Hi Mario,

> I have the following questions:
> 
> * I see there are some windows related files (labyrinth-0.6/Windows). They
> are not installed but, if it's not too difficult, might you consider to
> remove them?

Deleted them

> * Why don't you use the full url as Source0?

I can't figure out a source url that ends with %{name}-%{version}.tar.gz. As you'll see from the comment, the source ends with /%{version}.tar.gz but the downloaded file is still %{name}-%{version}

> * I think you should not call "rm -rf $RPM_BUILD_ROOT" at the beginning of
> %install

Deleted.

> 
> Please answer to my comments and I'll continue the review.
> 

Thank you for the comments. I've updated the spec and srpms/rpms.

http://ankursinha.fedorapeople.org/labyrinth/labyrinth.spec

http://ankursinha.fedorapeople.org/labyrinth/labyrinth-0.6-1.fc20.src.rpm

http://ankursinha.fedorapeople.org/labyrinth/

Thanks,
Warm regards,
Ankur
Comment 5 Mario Ceresa 2013-07-09 10:02:30 EDT
Here it goes the formal review:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in labyrinth
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

---> Seems handled correctly to me

- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/labyrinth
  See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

---> Indeed it is an orphaned package


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2)", "GPL (v2 or later)", "Unknown or generated". 5 files have
     unknown license. Detailed output of licensecheck in
     /home/mario/fedora/982255-labyrinth/licensecheck.txt

---> This is okay and Ankur contacted upstream to update fsf address.

[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
---> Indeed it is an orphaned package

[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked when required
     Note: icons in labyrinth
---> Icons correctly handled

[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 122880 bytes in 8 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Uses parallel make.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments

----> Okay the source url is commented and md5sum are okay:
$ md5sum labyrinth-0.6.tar.gz (manually downloaded from github)
e008ebfc1eaeab7f40cff05cb1865c45  labyrinth-0.6.tar.gz

$ md5sum labyrinth-0.6.tar.gz (unpacked by fed-review)
e008ebfc1eaeab7f40cff05cb1865c45  labyrinth-0.6.tar.gz

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: labyrinth-0.6-1.fc20.noarch.rpm
labyrinth.noarch: E: incorrect-fsf-address /usr/share/doc/labyrinth-0.6/COPYING


labyrinth.noarch: W: no-manual-page-for-binary labyrinth
1 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint labyrinth
labyrinth.noarch: E: incorrect-fsf-address /usr/share/doc/labyrinth-0.6/COPYING

---> Ankur contacted upstream to update fsf address.

labyrinth.noarch: W: no-manual-page-for-binary labyrinth
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'


Requires
--------
labyrinth (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    pycairo
    pygobject2
    pygtk2
    python(abi)
    pyxdg



Provides
--------
labyrinth:
    labyrinth



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/bin/fedora-review -b 982255

I see no issues, so the package is
APPROVED.
Comment 6 Ankur Sinha (FranciscoD) 2013-07-09 10:13:27 EDT
Thanks Mario! 

New Package SCM Request
=======================
Package Name: labyrinth
Short Description: A light weight mind mapping tool
Owners: ankursinha
Branches: f18 f19
InitialCC:
Comment 7 Gwyn Ciesla 2013-07-09 10:21:01 EDT
Unretired, please take ownership in pkgdb and submit a Package Change
request for additional branches.
Comment 8 Ankur Sinha (FranciscoD) 2013-07-09 10:28:44 EDT
Package Change Request
======================
Package Name: labyrinth
New Branches: f18 f19
Owners: ankursinha
InitialCC:
Comment 9 Gwyn Ciesla 2013-07-09 10:34:17 EDT
Git done (by process-git-requests).
Comment 10 Ankur Sinha (FranciscoD) 2013-07-09 10:35:49 EDT
Thanks Jon!

/me goes to import and build.

Warm regards,
Ankur
Comment 11 Fedora Update System 2013-07-14 19:40:15 EDT
labyrinth-0.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/labyrinth-0.6-1.fc18
Comment 12 Fedora Update System 2013-07-14 19:40:33 EDT
labyrinth-0.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/labyrinth-0.6-1.fc19
Comment 13 Fedora Update System 2013-07-15 21:23:03 EDT
Package labyrinth-0.6-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing labyrinth-0.6-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12993/labyrinth-0.6-1.fc18
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-08-02 17:59:44 EDT
labyrinth-0.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-10-21 00:10:59 EDT
labyrinth-0.6-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/labyrinth-0.6-3.fc19
Comment 16 Fedora Update System 2013-10-21 00:11:13 EDT
labyrinth-0.6-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/labyrinth-0.6-3.fc18
Comment 17 Fedora Update System 2013-10-21 00:11:24 EDT
labyrinth-0.6-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/labyrinth-0.6-3.fc20
Comment 18 Fedora Update System 2013-10-21 14:29:57 EDT
Package labyrinth-0.6-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing labyrinth-0.6-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19629/labyrinth-0.6-3.fc20
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-10-29 21:51:02 EDT
labyrinth-0.6-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-10-29 21:57:26 EDT
labyrinth-0.6-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-11-10 01:24:07 EST
labyrinth-0.6-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.